Bug 225722 - games/pioneer: Update to 20180203
Summary: games/pioneer: Update to 20180203
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-02-07 04:27 UTC by lightside
Modified: 2018-02-10 11:18 UTC (History)
1 user (show)

See Also:


Attachments
Proposed patch (since 451387 revision) (4.57 KB, patch)
2018-02-07 04:27 UTC, lightside
lightside: maintainer-approval+
Details | Diff
Proposed patch (since 461274 revision) (4.70 KB, patch)
2018-02-09 11:58 UTC, lightside
lightside: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2018-02-07 04:27:09 UTC
Created attachment 190378 [details]
Proposed patch (since 451387 revision)

Patch to update games/pioneer port from 20171001 to 20180203 version.

Look following links for changes:
https://github.com/pioneerspacesim/pioneer/compare/20171001...20180203
https://github.com/pioneerspacesim/pioneer/blob/20180203/Changelog.txt

- Remove files/patch-data_modules_SearchRescue_SearchRescue.lua

The build was tested on FreeBSD 10.3 amd64.
Comment 1 lightside 2018-02-09 11:58:43 UTC
Created attachment 190457 [details]
Proposed patch (since 461274 revision)

Updated patch after ports r461274 changes.

- Remove PORTREVISION
Comment 2 Yuri Victorovich freebsd_committer 2018-02-10 11:17:42 UTC
Committed.
Thank you for the port update.
Comment 3 commit-hook freebsd_committer 2018-02-10 11:18:35 UTC
A commit references this bug:

Author: yuri
Date: Sat Feb 10 11:17:39 UTC 2018
New revision: 461383
URL: https://svnweb.freebsd.org/changeset/ports/461383

Log:
  games/pioneer: Update to 0.0.20180203

  Changelog:
  https://github.com/pioneerspacesim/pioneer/blob/master/Changelog.txt

  Additional port changes:
  * Removed the patch that has been committed upstream:
    patch-data_modules_SearchRescue_SearchRescue.lua
  * Slight whitespace reformatting.

  PR:		225722
  Submitted by:	lightside <lightside@gmx.com> (maintainer)
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/games/pioneer/Makefile
  head/games/pioneer/distinfo
  head/games/pioneer/files/patch-data_modules_SearchRescue_SearchRescue.lua